# Disable debug rpm on EPEL/CentOS Stream
%global debug_package %{nil}

# https://github.com/prometheus/snmp_exporter
%global goipath         github.com/prometheus/snmp_exporter
Version:                0.28.0

%gometa

%global common_description %{expand:
This exporter is the recommended way to expose SNMP data in a format which Prometheus can ingest.}

%global golicenses      LICENSE


Name:               snmp_exporter
Release:            1%{?dist}
Summary:            SNMP Exporter for Prometheus
URL:                %{gourl}
License:            Apache-2.0

Source0:            %{gosource}
Source1:            https://github.com/prometheus/%{name}/blob/v%{version}/examples/systemd/%{name}.service

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd


%description
%{common_description}

#%%gopkg

%prep
%autosetup -n %{name}-%{version}

%build
go mod vendor
CGO_ENABLED=0 go build -buildmode pie -compiler gc '-tags=rpm_crashtraceback' -ldflags '-X %{goipath}/version=%{version} -compressdwarf=false -s -w' -o %{gobuilddir}/bin/%{name} %{goipath}

%install
install -D -p -m 0755 %{gobuilddir}/bin/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/systemd/system/%{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_prefix}/lib/systemd/system/%{name}.service
